<template>
  <div style="border: 1px solid red; padding: 5px; margin: 5px;">
    <p>Copy this permalink: <code>http://localhost:8080/{{id}}</code> </p>
  </div>
</template>

<script>
export default {
name: 'CreatePermalink',
data() {
    return {
    }
},
props: {
  id: {
    type: String,
    required: false,
  }
},
/*methods: {
    createPermalink(){
    this.viewlink = true
       return this.$emit('addpermalink')
       
    }
},*/
}
</script>

<style scoped>

button {
  background-image: linear-gradient(-180deg, #37aee2 0%, #1e96c8 100%);
  max-width: 50%;
  border-radius: 0.5rem;
  box-sizing: border-box;
  color: #ffffff;
  display: flex;
  font-size: 16px;
  justify-content: center;
  padding: 1rem 1.75rem;
  text-decoration: none;
  margin: auto;
  border: 0;
  cursor: pointer;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

button:hover {
  background-image: linear-gradient(-180deg, #1d95c9 0%, #17759c 100%);
}
</style>
